import { hasPersonValidator } from "aleksis.core/routeValidators";
import Timetable from "./components/Timetable.vue";

import { DateTime } from "luxon";

export default {
  meta: {
    inMenu: true,
    titleKey: "chronos.menu_title",
    icon: "mdi-school-outline",
    iconActive: "mdi-school",
    validators: [hasPersonValidator],
  },
  children: [
    {
      path: "timetable/",
      component: Timetable,
      name: "chronos.timetable",
      meta: {
        inMenu: true,
        titleKey: "chronos.timetable.menu_title",
        toolbarTitle: "chronos.timetable.menu_title",
        icon: "mdi-grid",
        permission: "chronos.view_timetable_overview_rule",
        fullWidth: true,
      },
    },
    {
      path: "timetable/:type/:id/",
      component: Timetable,
      name: "chronos.timetableWithId",
      meta: {
        permission: "chronos.view_timetable_overview_rule",
        fullWidth: true,
      },
    },
    {
      path: "substitution_overview/",
      component: () => import("./components/SubstitutionOverview.vue"),
      redirect: (to) => {
        return {
          name: "chronos.substitutionOverview",
          hash: "#" + DateTime.now().toISODate(),
        };
      },
      name: "chronos.substitutionOverviewLanding",
      props: true,
      meta: {
        inMenu: true,
        icon: "mdi-account-convert-outline",
        iconActive: "mdi-account-convert",
        titleKey: "chronos.substitutions.overview.menu_title",
        toolbarTitle: "chronos.substitutions.overview.menu_title",
        permission: "chronos.view_substitution_overview_rule",
      },
      children: [
        {
          path: ":objId(\\d+)?/",
          component: () => import("./components/SubstitutionOverview.vue"),
          name: "chronos.substitutionOverview",
          meta: {
            titleKey: "chronos.substitutions.overview.menu_title",
            toolbarTitle: "chronos.substitutions.overview.menu_title",
            permission: "chronos.view_substitution_overview_rule",
            fullWidth: true,
          },
        },
      ],
    },
  ],
};
